/*  ___   ___  ___  _   _  ___   ___   ____ ___  ____  
 * / _ \ /___)/ _ \| | | |/ _ \ / _ \ / ___) _ \|    \ 
 *| |_| |___ | |_| | |_| | |_| | |_| ( (__| |_| | | | |
 * \___/(___/ \___/ \__  |\___/ \___(_)____)___/|_|_|_|
 *                  (____/ 
 * Osoyoo W5100 web server lesson 8
 * Send water level data to web browser
 * tutorial url: https://osoyoo.com/?p=10003
 */

#include <Ethernet.h>
 

byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED }; //physical mac address 
//IPAddress ip(192.168.0.109); uncomment this line if you want define static IP instead of dynamic IP from DHCP server
EthernetServer server(80); //server port
const int analogInPin = A0; 
int sensorValue = 0;
String readString; 

void setup(){
  Serial.begin(9600);
 
  Serial.println("connect DHCP server");
  //start Ethernet 
  Ethernet.begin(mac); // if you defined static ip in line 28, change this line to   Ethernet.begin(mac,ip); 
  server.begin(); 
  Serial.print("Please use your browser to visit http://");
  Serial.println(Ethernet.localIP());
 
}

void loop(){ 
  // Create a client connection 
  EthernetClient client = server.available(); 
  if (client) { 
    while (client.connected()) { 
      if (client.available()) { 
        char c = client.read();
        //read char by char HTTP request 
        while (readString.length() < 100 && c != 0x0D  ) {
        //store characters to string 
        readString += c; 
        c = client.read();
      }
     // Serial.println(readString);
      sensorValue = analogRead(analogInPin); 
   
      String msg="HTTP/1.1 200 OK\n\rContent-Type: text/html\n\r\n\r";
      msg +="<HTML><meta http-equiv=\"refresh\" content=\"5\"><BODY><H1 style=\"color:green;\">Arduino IoT Lesson 8</H1><br>";
      msg +=  "Water Level: " ;
      msg += sensorValue*100/1024 ;

      msg += "%</p></BODY></HTML>";
      client.println(msg);
      delay(10); 
      //stopping client 
      client.stop();
      //clearing string for next read 
      readString="";
    } 
  } 
 } 
}
